# Datacenter & ISP Proxies

Operations for datacenter and ISP proxies

## GET /user/api/proxies/active

> Get active proxies by order

```json
{"openapi":"3.0.3","info":{"title":"ProxyShard User API Billing","version":"1.0.0"},"tags":[{"name":"Datacenter & ISP Proxies","description":"Operations for datacenter and ISP proxies"}],"servers":[{"url":"https://user-api.proxyshard.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"ActiveProxyItem":{"type":"object","properties":{"ip":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"},"http_port":{"type":"integer"},"socks_port":{"type":"integer"},"until":{"type":"string","description":"ISO8601/string date"},"status":{"type":"string"}},"required":["ip","username","password","http_port","socks_port","until","status"]},"ApiError":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"}},"required":["success","message"]}}},"paths":{"/user/api/proxies/active":{"get":{"tags":["Datacenter & ISP Proxies"],"summary":"Get active proxies by order","parameters":[{"in":"query","name":"order_id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Proxy list","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ActiveProxyItem"}},"order_tag":{"type":"string","nullable":true}},"required":["success","data"]}}}},"403":{"description":"Method is unavailable for this order","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```
